<HTML>
<!--
     Copyright (c) Jeremy Siek, Lie-Quan Lee, and Andrew Lumsdaine 2000
    
     Distributed under the Boost Software License, Version 1.0.
     (See accompanying file LICENSE_1_0.txt or copy at
     http://www.boost.org/LICENSE_1_0.txt)
  -->
<Head>
<Title>Boost Graph Library: Acknowledgements</Title>
<BODY BGCOLOR="#ffffff" LINK="#0000ee" TEXT="#000000" VLINK="#551a8b" 
        ALINK="#ff0000"> 
<IMG SRC="../../../boost.png" 
     ALT="C++ Boost" width="277" height="86"> 

<BR Clear>


<h1>Acknowledgements</h1>

We owe many debts of thanks to a number of individuals who both
inspired and encouraged us in developing the Boost Graph Library.

<p>
A most profound thanks goes to Alexander Stepanov for his pioneering
work in generic programming, for his encouragement, and for his
algorithm contributions to the BGL.  We thank Matthew Austern for his
work on documenting the concepts of STL which provided a foundation
for creating the concepts in the BGL. We thank Dietmar K&uuml;hl for
his work on generic graph algorithms and design patterns; especially
for the property map abstraction.

<p>
Dave Abrahams, Jens Maurer, Beman Dawes, Gary Powell, Greg Colvin,
Valentin Bonnard, and the rest of the group at Boost provided valuable
input to the BGL interface, numerous suggestions for improvement,
proof reads of the documentation, and help with polishing the code.  A
special thanks to Dave Abrahams for managing the formal review.

<p>
We also thank the following BGL users whose questions helped to
improve the BGL: Gordon Woodhull, Dave Longhorn, Joel Phillips, and
Edward Luke.

<p>
A special thanks to Jeffrey Squyres for editing and proof reading
of the documentation.

<p>
Our original work on the Boost Graph Library was supported in part by
NSF grant ACI-9982205 and by the Director, Office of Science, Division
of Mathematical, Information, and Computational Sciences of the U.S.
Department of Energy under contract number DE-AC03-76SF00098.
<p>
In our work we also used resources of the National Energy Research
Scientific Computing Center, which is supported by the Office of
Science of the U.S. Department of Energy.



<br>
<HR>
<TABLE>
<TR valign=top>
<TD nowrap>Copyright &copy 2000-2001</TD><TD>
<A HREF="http://www.boost.org/people/jeremy_siek.htm">Jeremy Siek</A>,
Indiana University (<A
HREF="mailto:jsiek@osl.iu.edu">jsiek@osl.iu.edu</A>)<br>
<A HREF="http://www.boost.org/people/liequan_lee.htm">Lie-Quan Lee</A>, Indiana University (<A HREF="mailto:llee@cs.indiana.edu">llee@cs.indiana.edu</A>)<br>
<A HREF="http://www.osl.iu.edu/~lums">Andrew Lumsdaine</A>,
Indiana University (<A
HREF="mailto:lums@osl.iu.edu">lums@osl.iu.edu</A>)
</TD></TR></TABLE>

</BODY>
</HTML> 
